Subject: bug#54993: 28.1; Editing etc/NEWS on master with Emacs 28 signals an error

From: Michael Albinus <[email-masked]>
Date: Mon, 18 Apr 2022 12:08:28 +0200

Eli Zaretskii <[email-masked]> writes:

Hi Eli,

>> FTR, I find the new emacs-news-mode very convenient. Hiding it in
>> private customizations would remove its convenience.
>
> ??? How's that?  You make that customization once, and then get to
> enjoy the convenience happily ever after.  What am I missing?
>
> The customization I had in mind is to tell Emacs to turn on
> emacs-news-mode when you visit a file called "NEWS".

Midterm, I have the hope to extend emacs-news-mode for some checks when
adding something to etc/NEWS. Something like checking proper quotation
etc.

However, this works only when this mode is enabled. If we need to tell
every occasional contributor to enable this mode, it would be less useful.

Best regards, Michael.